rem        d = open("kprod")
rem        for i = 1 to size(d)

rem Формирование книги пokup
       d1 = open("60")
       ds1 = open("s60")
         putkey(ds1,2)
         getfirst(ds1)
         db = 'Db_расчеты'.ds1
      print "db=",db
         sum = 0.0
         n = 0.0
rem    Идем по файлу  s62-1 (оплата)
       for i = 1 to size(ds1)
           if i = 1 then getfirst(ds1)
           if i != 1 then getnext(ds1)
     if trim('Db_счета'.ds1)="60" then goto 300
       goto 200
rem       Найдена запись, т.ч. Db_счета = 60
300  if trim('Kr_счета'.ds1)="62" | trim('Kr_счета'.ds1)="51" | trim('Kr_счета'.ds1)="50" then goto 301
     if trim('Kr_счета'.ds1)="71" | trim('Kr_счета'.ds1)="48" | trim('Kr_счета'.ds1)="62-3" then goto 301
     if trim('Kr_счета'.ds1)="60-3" then goto 301
          goto 200
301          sub = 'Db_расчеты'.ds1
    if db = sub then goto 303
     if n = 1 then goto 302 
rem     if i= 1 then goto 302 
      print "---------------------------------------------"
      print "Всего оплачено:     ",sum
302   print " "
     If Find(d1,1,1,sub) != 0.0 then goto 304 
      nazv = 'Название'.d1
      saldo = 'KrS_начало'.d1 - 'DbS_начало'.d1
     print nazv
     print "       Нач.сальдо = ",saldo
      sum = 0.0
      db = sub
      n = 0.0
303   print sub," ",fldtodate('Дата'.ds1)," ",'Сумма'.ds1          
      sum = sum + 'Сумма'.ds1 
      n = n+1
       goto 200
304   print "Не найден субсчет по сч.62-1 ",sub
200       next

      close(d1)         rem закрыли 62-1.btr
      close(ds1)        rem закрыли s62-1.btr
      end
